// base color
$blue:#324157;
$light-blue:#3A71A8;
$red:#C03639;
$pink: #E65D6E;
$green: #30B08F;
$tiffany: #4AB7BD;
$yellow:#FEC171;
$panGreen: #30B08F;

//sidebar
$menuText:#ffffff;
$menuActiveText:#1890ff;
$subMenuActiveText:#1890ff; //https://github.com/ElemeFE/element/issues/12951

$menuBg: #334154;
$menuHover:#2c2c2c;

$subMenuBg:#334154;
$subMenuHover:#2c2c2c;

$sideBarWidth: 250px;

// the :export directive is the magic sauce for webpack
// https://www.bluematador.com/blog/how-to-share-variables-between-js-and-sass
:export {
  menuText: $menuText;
  menuActiveText: $menuActiveText;
  subMenuActiveText: $subMenuActiveText;
  menuBg: $menuBg;
  menuHover: $menuHover;
  subMenuBg: $subMenuBg;
  subMenuHover: $subMenuHover;
  sideBarWidth: $sideBarWidth;
}

$mobileViewportWidth: 768px;
$tabletViewportWidth: 992px;
$desktopViewportWidth: 1200px;
